Bug 144553 - Web Inspector: [REGRESSION] Dashboard's resource count does not reset when main resource navigates
Summary: Web Inspector: [REGRESSION] Dashboard's resource count does not reset when ma...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nikita Vasilyev
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-05-03 15:30 PDT by Brian Burg
Modified: 2015-06-05 14:36 PDT (History)
8 users (show)

See Also:


Attachments
Patch (2.79 KB, patch)
2015-06-05 13:45 PDT, Nikita Vasilyev
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2015-05-03 15:30:06 PDT
:(
Comment 1 Radar WebKit Bug Importer 2015-05-03 15:30:17 PDT
<rdar://problem/20795132>
Comment 2 Nikita Vasilyev 2015-06-03 15:38:03 PDT
Steps:
1. Open inspector for this very page (https://bugs.webkit.org/show_bug.cgi?id=144553)
2. Notice the resource count on the Web Inspector dashboard
3. Reload the page (Command R)

Actual:
Resource count on the dashboard is twice as it should be
Comment 3 Nikita Vasilyev 2015-06-05 12:06:17 PDT
It was broken somewhere between r183323 and r183335, which is actually quite a lot of changes: http://trac.webkit.org/log/trunk/?rev=183335&stop_rev=183323
Comment 5 Nikita Vasilyev 2015-06-05 13:45:21 PDT
Created attachment 254378 [details]
Patch
Comment 6 WebKit Commit Bot 2015-06-05 14:36:44 PDT
Comment on attachment 254378 [details]
Patch

Clearing flags on attachment: 254378

Committed r185263: <http://trac.webkit.org/changeset/185263>
Comment 7 WebKit Commit Bot 2015-06-05 14:36:48 PDT
All reviewed patches have been landed.  Closing bug.